# AIListSorter Class Reference

Base class for any AIList sorter. More...

Inheritance diagram for AIListSorter:

## Public Member Functions
virtual | ~AIListSorter ()
| Virtual dtor, needed to mute warnings.
virtual int32 | Begin ()=0
| Get the first item of the sorter.
virtual void | End ()=0
| Stop iterating a sorter.
virtual int32 | Next ()=0
| Get the next item of the sorter.
virtual bool | IsEnd ()=0
| See if the sorter has reached the end.
virtual void | Remove (int item)=0
| Callback from the list if an item gets removed.
## Protected Attributes
AIList * | list

## Detailed Description

Base class for any AIList sorter.

Definition at line 20 of file ai_list.cpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_list.cpp